<?php

/**
 * Manage core language.
 *
 * ## EXAMPLES
 *
 *     # Install language
 *     $ wp language core install nl_NL
 *     Success: Language installed.
 *
 *     # Activate language
 *     $ wp language core activate nl_NL
 *     Success: Language activated.
 *
 *     # Uninstall language
 *     $ wp language core uninstall nl_NL
 *     Success: Language uninstalled.
 *
 *     # List installed languages
 *     $ wp language core list --status=installed
 *     +----------+--------------+-------------+-----------+-----------+---------------------+
 *     | language | english_name | native_name | status    | update    | updated             |
 *     +----------+--------------+-------------+-----------+-----------+---------------------+
 *     | nl_NL    | Dutch        | Nederlands  | installed | available | 2016-05-13 08:12:50 |
 *     +----------+--------------+-------------+-----------+-----------+---------------------+
 */
class Core_Language_Command extends WP_CLI\CommandWithTranslation {

	protected $obj_type = 'core';

}
